Subject: Re: [bug#33284] [PATCH] python: Honor '--cores=...' in tests.

From: Eric Bavier <[email-masked]>
Date: Tue, 6 Nov 2018 08:52:02 -0600

Hello Mathieu,

On Tue, 6 Nov 2018 14:07:47 +0900
Mathieu Othacehe <[email-masked]> wrote:

> Hi Eric,
> 
> Your patch seems go to me, even if I think the root cause of your problem
> is fixed by:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=33186#26
> 
> I think that both could be applied to core-updates.

Thanks for the link; it looks like it should help.  But, yes, I think
both can be applied.

> 
> Le mar. 6 nov. 2018 11:27, Eric Bavier <[email-masked]> a
> écrit :
> 
> > Hello Guix,
> >
> > I noticed building 'python-minimal' that its tests seemed to have poor
> > memory performance, i.e. using *a lot* of RAM.  I thought maybe
> > dropping --cores=... would help, but it did not; the tests use all
> > available cores by default.  The attached patch fixes this issue,
> > though, the package still uses all cores while building some extension
> > libraries.
> >
> > I suppose this patch would go to core-updates?
> >
> > Cheers,
> > `~Eric
> >